#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - python310-dev installation
#
# Creation   :  2022-04-20 holbru
# Last update:  $Id: install.sh 94484 2022-04-21 12:44:40Z hbfl $
#
# Copyright (c) 2022-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=python310-dev

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
ver=3.10

# check what is activated
value=$(/usr/sbin/update-alternatives --query python3 | /usr/bin/awk '/^Value/ {print $2}')

# if the best version not this version, use this version manual  
if echo "${value}" | /usr/bin/grep -q "${ver}"
then
    echo "python3 manual /usr/bin/python${ver}" | /usr/sbin/update-alternatives --set-selections  >/dev/null 2>&1
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
